<?php

namespace Bolt\Storage\Mapping\Type;

use Carbon\Carbon;
use Doctrine\DBAL\Platforms\AbstractPlatform;
use Doctrine\DBAL\Types\DateTimeType;

class CarbonDateTimeType extends DateTimeType
{
    /**
     * {@inheritdoc}
     */
    public function convertToPHPValue($value, AbstractPlatform $platform)
    {
        if ($value === null) {
            return $value;
        }

        if (empty($value)) {
            return null;
        }

        return Carbon::instance(parent::convertToPHPValue($value, $platform));
    }
}
